Bug 713219 - A Feature Request: Proposal to remove redundant default applications
A Feature Request: Proposal to remove redundant default applications
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Bill Nottingham
: SubFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-14 13:28 EDT by Andrew Ter-Grigoryan
Modified: 2014-03-16 23:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-02 13:58:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Ter-Grigoryan 2011-06-14 13:28:00 EDT
A couple of the current default applications stand to be removed and their removal would mean no loss for the out-of-box experience. They are:

1.) Sound Juicer. Rhythmbox already has all the exact same CD ripping features as Sound Juicer, including all of the same formats, so removing it is a win-win.

2.) Eye of Gnome. Though it doesn't handle quite as many formats as EOG, Shotwell is equally capable as an image viewer in addition to being much more than that. From experience, I have had Shotwell as the only image application and never missed EOG or gThumb. IIRC, Shotwell is Ubuntu's only image application, and it seems to work well enough for that distribution.

The free space could be used to give the next release of Fedora an even more complete OOB Internet experience by making Liferea reader, Gwibber, and the Firefox spell check dictionary default packages, giving Fedora more advantages over Ubuntu.
Comment 1 Andrew Ter-Grigoryan 2011-06-21 22:28:23 EDT
I have found out that Shotwell still does not support .gif and .png. Until those formats are supported, and preferably also .svg, Eye of Gnome is necessary.

My request for the removal of Sound Juicer still stands.
Comment 2 Matthias Clasen 2011-06-21 22:57:45 EDT
See https://fedoraproject.org/wiki/Features/RhythmboxDefaultRipper
for whats still missing before rhythmbox can fully replace sound-juicer.
Comment 3 Andrew Ter-Grigoryan 2011-06-22 15:12:36 EDT
On that wiki page, I striked out one bug that (on my F15 install) no longer occurs. IMO, most of the remaining CD ripping bugs are rather trivial and not a barrier to fully replacing Sound Juicer with Rhythmbox.
Comment 4 Andrew Ter-Grigoryan 2013-03-02 13:58:07 EST
I don't know if Rhythmbox's CD ripper has managed to completely supersede Sound Juicer, but I notice that Sound Juicer is no longer a part of the default system as of F18.

So, I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.